
power_sources:
    Source_1:
        description: mydescription  # description is optional
        voltage: 5
        active: 1
    Source_2:
        voltage: 3
        active: 1

nodes:
    Node1:
        intrinsic_load: 1
        low_voltage_threshold: 2

terminators:
    Terminator1:
        intrinsic_load: 2
        low_voltage_threshold: 2
    Terminator2:
        intrinsic_load: 3
        low_voltage_threshold: 6

connect_elements:
    connect_1:
        upper: Source_1
        lower: Node1
    connect_2:
        upper: Source_2
        lower: Node1
    connect_3:
        upper: Node1
        lower: Terminator1
    connect_4:
        upper: Node1
        lower: Terminator2
